ica.hh File Reference
`#include <memory>`
`#include <set>`
`#include <boost/concept/requires.hpp>`
`#include <boost/concept_check.hpp>`
`#include <mia/core/defines.hh>`
`#include <mia/core/slopevector.hh>`
`#include <mia/core/factory.hh>`
Include dependency graph for core/ica.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | mia::CIndepCompAnalysis
class | mia::CIndepCompAnalysisFactory

## Namespaces

namespace | mia

## Typedefs

typedef TFactory< CIndepCompAnalysisFactory > | mia::CIndepCompAnalysisFactoryPlugin
typedef THandlerSingleton< TFactoryPluginHandler< CIndepCompAnalysisFactoryPlugin > > | mia::CIndepCompAnalysisFactoryPluginHandler
| plugin handler for spaciel filter kernels
typedef CIndepCompAnalysis::Pointer | mia::PIndepCompAnalysis
typedef std::shared_ptr< CIndepCompAnalysisFactory > | mia::PIndepCompAnalysisFactory

## Functions

PIndepCompAnalysisFactory | mia::produce_ica_factory (const std::string &descr)

## Variables

template class EXPORT_CORE | mia::TPluginHandler< TFactory< CIndepCompAnalysisFactory > >
template<>
const char *const | mia::TPluginHandler< TFactory< CIndepCompAnalysisFactory > >::m_help